package com.urbancode.air.plugin.udeploy.system

import com.urbancode.air.AirPluginTool
import com.urbancode.ud.client.UDRestClient

public class SystemHelper {
    def apTool
    def props = []
    def udUser
    def udPass
    def weburl
    UDRestClient client
    
    public SystemHelper(def apToolIn) {
        apTool = apToolIn
        props = apTool.getStepProperties()
        udUser = apTool.getAuthTokenUsername()
        udPass = apTool.getAuthToken()
        weburl = System.getenv("AH_WEB_URL")
        client = new UDRestClient(new URI(weburl), udUser, udPass)
        
        com.urbancode.air.XTrustProvider.install()
    }
    
    def setSystemProperty() {
        def propName = props['name']
        def propValue = props['value']
        def isSecure = Boolean.valueOf(props['isSecure'])
        
        if (!propName) {
            throw new IllegalArgumentException("no property name was specified")
        }
        if (!propValue) {
            propValue = ""
        }
        client.setSystemProperty(propName, propValue, isSecure)
    }
}